Bug 9537 - /usr/libexec/pt_chown is setuid to root
/usr/libexec/pt_chown is setuid to root
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-17 19:53 EST by wingc
Modified: 2016-11-24 09:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-21 19:45:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wingc 2000-02-17 19:53:06 EST
Well, I know that some people have complained about pt_chown not being
setuid to root in RH 6.1, but I'd like to recommend that it still be
non-setuid in RH 6.2.

Here are my reasons:

- you don't need pt_chown setuid if you use devpts

- everyone should be using devpts if they have a standard RH 6.2 setup

- as such, leaving pt_chown setuid to root is a bad idea if the vast
majority of people will never use it. Everyone has to install glibc, so
there will be an unnecessary setuid program on every RH system out there.

- if you take the setuid bit off it now, you won't have to worry about
having to audit it ever again. Even if some future release of glibc
accidentally breaks it, or if something else causes it to be unsafe, with
the setuid bit removed it can't hurt anyone.



Thanks,

Chris Wing
wingc@engin.umich.edu
Comment 1 Cristian Gafton 2000-05-22 10:52:59 EDT
assign to jakub
Comment 2 Ulrich Drepper 2003-04-21 19:45:34 EDT
RHL9 does not have pt_chown with the SUID/SGID bit set.

Note You need to log in before you can comment on or make changes to this bug.